# List ad identities

> The brand identities a TikTok ad can run as.

Canonical: <https://www.tryadeli.com/docs/api/ads/list-identities>

`GET https://app.tryadeli.com/api/v1/ads/identities`

Authorization: `Bearer <API key>` — see [Authentication](https://www.tryadeli.com/docs/authentication)

**TikTok Ads only.** The brand identities a TikTok ad can run as on this ad
account: a display name and avatar shown on the ad, rather than a TikTok
account. Pass an `id` as `identity.identityId` when [creating a campaign](https://www.tryadeli.com/docs/api/ads/create-campaign).

**Query parameters**

| Name          | Type     | Required | Description             |
| ------------- | -------- | -------- | ----------------------- |
| `adAccountId` | `string` | Yes      | A TikTok advertiser id. |

## Request examples

**cURL**

```bash
curl "https://app.tryadeli.com/api/v1/ads/identities?accountId=00000000-0000-0000-0000-000000000000&adAccountId=7000000000000000001" \
  -H "Authorization: Bearer $ADELI_API_KEY"
```

**JavaScript**

```javascript
const response = await fetch("https://app.tryadeli.com/api/v1/ads/identities?accountId=00000000-0000-0000-0000-000000000000&adAccountId=7000000000000000001", {
  headers: {
    Authorization: `Bearer ${process.env.ADELI_API_KEY}`,
  },
});
console.log(await response.json());
```

**Python**

```python
import os

import requests

response = requests.get(
    "https://app.tryadeli.com/api/v1/ads/identities",
    headers={"Authorization": f"Bearer {os.environ['ADELI_API_KEY']}"},
    params={
        "accountId": "00000000-0000-0000-0000-000000000000",
        "adAccountId": "7000000000000000001",
    },
)
print(response.json())
```

## Responses

### 200

```json
{
  "platform": "tiktok_ads",
  "accountId": "00000000-0000-0000-0000-000000000000",
  "adAccountId": "7000000000000000001",
  "identities": [
    { "id": "7300000000000000003", "type": "CUSTOMIZED_USER", "displayName": "Acme", "avatarUrl": null }
  ]
}
```

### 400

```json
{
  "error": {
    "code": "unsupported_for_platform",
    "message": "Ad identities is not available for Meta ads accounts"
  }
}
```
